Bug 179101 - /usr/bin/rundig missing "$opts" on calls to htfuzzy
/usr/bin/rundig missing "$opts" on calls to htfuzzy
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: htdig (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2006-01-27 09:18 EST by Barry Platt
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0374
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 15:10:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to /usr/bin/rundig to fix reported bug (336 bytes, patch)
2006-01-27 09:19 EST, Barry Platt
no flags Details | Diff

  None (edit)
Description Barry Platt 2006-01-27 09:18:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050923 CentOS/1.0.7-1.4.1.centos4 Firefox/1.0.7

Description of problem:
This is the same bug reported in RHEL 3 Update 2 (bz130528).  The end of the /usr/bin/rundig omits "$opts" when calling htfuzzy.  When using a non-default configuration file, this results in the configuration file directive not being passed to htfuzzy.  

Version-Release number of selected component (if applicable):
htdig-3.2.0b6-3.40.1

How reproducible:
Always

Steps to Reproduce:
1.Install htdig and configure a custom configuration
2.run /usr/bin/rundig -c <custom_config>
  

Actual Results:  htfuzzy: Unable to open word database /var/lib/htdig/db.words.db

htfuzzy: Unable to open word database /var/lib/htdig/db.words.db


Expected Results:  Successful run of htfuzzy

Additional info:
Comment 1 Barry Platt 2006-01-27 09:19:47 EST
Created attachment 123776 [details]
Patch to /usr/bin/rundig to fix reported bug

The patch adds "$opts" to the calls to htfuzzy on the last two lines of
/usr/bin/rundig.
Comment 9 Red Hat Bugzilla 2006-05-17 15:10:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0374.html

Note You need to log in before you can comment on or make changes to this bug.